org.codehaus.groovy.control.messages

## Class ExceptionMessage

- java.lang.Object
- - org.codehaus.groovy.control.messages.Message
  - - org.codehaus.groovy.control.messages.ExceptionMessage

    public class ExceptionMessage
    extends Message

A class for error messages produced by the parser system.

Author:
  Chris Poirier

### Field Summary

Fields
`protected boolean` `verbose`

### Constructor Summary

Constructors
Constructor and Description
`ExceptionMessage(java.lang.Exception cause, boolean v, ProcessingUnit owner)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Exception` `getCause()` Returns the underlying Exception.
`void` `write(java.io.PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

### Methods inherited from class org.codehaus.groovy.control.messages.Message

`create, create, create, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### verbose

    protected boolean verbose

### Constructor Detail

#### ExceptionMessage

    public ExceptionMessage(java.lang.Exception cause,
                            boolean v,
                            ProcessingUnit owner)

### Method Detail

#### getCause

    public java.lang.Exception getCause()

Returns the underlying Exception.

#### write

    public void write(java.io.PrintWriter output,
                      Janitor janitor)

Writes out a nicely formatted summary of the exception.

Specified by:
  `write` in class `Message`